# ArchLabs Installer

#### Features
+ Support for LUKS and/or LVM.
+ Simple & easy to follow configuration.
+ Automatic partitioning for whole devices.
+ Translations for 10 different languages.
+ Built-in error detection and capturing.
+ No input halts during install, setup is done first.
+ Written entirely in Bash making it easily hackable.

#### Requirements
+ `rsync` used to unpack the squashfs root.
+ `dialog` for all user input/output.
+ `vim` for editing files post install.
+ `parted` for auto and manual partition creation.
+ `wipe` for the secure wipe option.
+ Standard `awk` `sed` `grep` `uniq` `sort` `find` `ping` `mkfs` `lsblk`.
+ `arch-chroot` used to perform operations in the chroot.
+ `chpasswd` to set root and user passwords.
+ Network connection is needed to install packages and update the system.
+ `pacman` used to update the system and install/remove packages. *(with network connection)*
+ `reflector` for sorting the mirrorlist. *(with network connection)*

#### Manual Installation
- curl
    ```
    sh -c "$(curl -fsSL https://bitbucket.org/archlabslinux/installer/raw/cfca6ca4d234f0a92c9d323fbeeb7214ce800fb0/install.sh)"
    ```

- wget
    ```
    sh -c "$(wget https://bitbucket.org/archlabslinux/installer/raw/cfca6ca4d234f0a92c9d323fbeeb7214ce800fb0/install.sh -O -)"
    ```

- Packages for `pacman` can be found in our repos:
    - stable: https://bitbucket.org/archlabslinux/archlabs_repo/src/master/x86_64/
    - unstable: https://bitbucket.org/archlabslinux/archlabs_unstable/src/master/x86_64/

